Bug Hunting Session
Bug 78590 - FILESAVE: File gets corrupt if file contains "framePr" in paragraph properties.
Summary: FILESAVE: File gets corrupt if file contains "framePr" in paragraph properties.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Rohit Deshmukh
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Frame-Dialog
  Show dependency treegraph
 
Reported: 2014-05-12 07:54 UTC by Rohit Deshmukh
Modified: 2016-10-28 12:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original file (63.09 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-12 07:54 UTC, Rohit Deshmukh
Details
FDO78590b.docx - with paragraphs above and below the graphic (lost when roundtripped) (58.35 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-07-29 05:59 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohit Deshmukh 2014-05-12 07:54:44 UTC
Created attachment 98887 [details]
Original file

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Open the NEW.DOCX in Word


Current behavior:
File gets corrupt

Expected behavior:
File should open without any error

Error: 
ErrorMessage - Can not put drawing objects into a text box, callout, comment, footnote or endnote
Comment 1 Jorendc 2014-05-12 22:16:11 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: cc4a3f1a88afff114311bddf462ca4bc00a485c7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-05-12_09:05:53
Comment 2 Commit Notification 2014-06-19 11:02:29 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c876f5616522ab695de8c0316cdb0c601081815

fdo#78590: Fix for Corruption of para with framePr & drawing object into para



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Justin L 2016-07-29 05:59:03 UTC Comment hidden (obsolete, wrong_bug)